Subject: Re: CCL:Cpu time in Gaussian output

From: Kadir Diri <kadir$at$visual1.chem.pitt.edu>
Date: Mon, 21 Mar 2005 21:04:25 -0500

Also, there is another strong possibility if you are running the program 
on some cluster and the nodes are writing back to the server. We had 
such a situation where the wall clock time was an order of magnitude 
larger compared to the CPU time even for a DFT calculation (which means 
it was not IO bound) and the only thing the program was writing back to 
the server was a log file! We spotted the problem, it was the slow 
communication between the gigabit switch and the nodes. The "auto 
negotiatiation" was not working properly. The problem was fixed as soon 
as the switch and the nodes were set to full duplex.
Such a problem would be easy to spot looking at the network statistics 
and the CPU and disk usage.
kadir

Joseph Han wrote:

>IO wait time is a valid explanation especially if there are large files that
>are written and read such as during frequency or correlated wavefunction
>techniques.
>
>Another possibility is if you are running in parallel (SMP or Linda), depending
>upon the particular operating system, the CPU time reported can be different. 
>If might be the launching thread, one computation thread, or the total CPU
>time. Also, if you are running in parallel, and one thread is delayed, then
>there can be a difference in the total Wall time versus CPU time.
>
>Joseph
>
>--- Ian Hovell <HOVELL$at$cetem.gov.br> wrote:
>  
>
>>Dear CCLers,
>>I was asked the other day about the meaning of the cpu time that Gaussian
>>reports at the end of a job. The value does not match with the actual time
>>of the calculation which can be worked out from the date stamps at the
>>beginning and end of the output file..
>>The explanation I gave was that it was the time taken for the calculation on
>>the cpu and the difference between that and the reported date stamps was the
>>time the computer was waiting to write to the hard disk, transfer data etc.
>>Would this be a reasonable explanation for the difference in values?
>> 
>>TIA
>> 
>> 
>>Ian Hovell - Ph.D. 
>>NUCLEO DE MODELAGEM MOLECULAR-NMM 
>>Centro de Tecnologia Mineral - CETEM 
>>Ministerio da Cincia e da Tecnologia- MCT 
>>Avenida Ip, No 900 - Cidade Universitaria 
>>Ilha do Fundo Rio de Janeiro RJ Brasil 
>>CEP 21941-590 
>>tel 00 55 (xx) 3865 7344 ou 3865 - 7216 
>>Fax 00 55 (xx) 22602837 ou 2290-4286 
>>e-mail hovell$at$cetem.gov.br <mailto:hovell$at$cetem.gov.br>  
>>
>> 
>>
>>    
>>
>
>
>-= This is automatically added to each message by the mailing script =-
>To send e-mail to subscribers of CCL put the string CCL: on your Subject: line
>and send your message to:  CHEMISTRY$at$ccl.net
>
>Send your subscription/unsubscription requests to: CHEMISTRY-REQUEST$at$ccl.net 
>HOME Page: http://www.ccl.net   | Jobs Page: http://www.ccl.net/jobs 
>
>If your is mail bouncing from ccl.net domain due to spam filters, please
>use the Web based form from CCL Home Page 
>-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+-+
>
>
>
>
>  
>